diff --git a/doc/src/sgml/ddl.sgml b/doc/src/sgml/ddl.sgml
index 50dc25f..c677dc4 100644
--- a/doc/src/sgml/ddl.sgml
+++ b/doc/src/sgml/ddl.sgml
@@ -403,6 +403,18 @@ CREATE TABLE products (
     ensure that a column does not contain null values, the not-null
     constraint described in the next section can be used.
    </para>
+
+   <note>
+    <para>
+     Check constraint are not designed to enforce business rules across tables.
+     Avoid using check constraints with function accessing other tables and
+     use <xref linkend="triggers"/> instead. Although PostgreSQL won't prevent you
+     from doing so, but beware that dumps generated by <application>pg_dump</application>
+     or <application>pg_dumpall</application> may be hard
+     to restore because of such checks, as the underlying dependencies are not
+     taken into account.
+    </para>
+   </note>
   </sect2>
 
   <sect2>
